%-------------------------------------------------------------------------------
%                Required Packages
%-------------------------------------------------------------------------------
\usepackage{booktabs}
\usepackage{multirow}
\usepackage{longtable}
\usepackage[table]{xcolor}
\usepackage[shortlabels]{enumitem}
\usepackage{ifthen}
\usepackage{caption}


%Contador para los objetivos
\newcounter{objctr}
\setcounter{objctr}{0}

%-------------------------------------------------------------------------------
%                \addtitle command: add the title of the objective
%-------------------------------------------------------------------------------

\newcommand{\refobj}[1]{%
	\texttt{[OBJ-\ref{#1}]}%
}

\newcommand\addtitleobj[2]{%
	\hline \rowcolor{gray!15}  %
	\multicolumn{2}{|c|}{%
		\refstepcounter{objctr}\label{#2}%
		\texttt{\textbf{OBJ-\arabic{objctr}}} \textbf{#1}%
	} \\ \hline
}

\newcommand\tabularheadobj{\begin{longtable*}{|lp{10cm}|}
	}
	
	%-------------------------------------------------------------------------------
	%                \addfield command: add a property of the objective
	%-------------------------------------------------------------------------------
	\newcommand\addfieldobj[2]{\textit{#1} &#2\\ \hline  }
	
	%-------------------------------------------------------------------------------
	%                \additemizedfield command: add a field with an item list
	%-------------------------------------------------------------------------------
	\newcommand\additemizedfieldobj[2]{ 
		\begin{minipage}[t][][t]{2cm}
			\textit{#1}
			\vspace{1.3ex}
		\end{minipage}% 
		&
		\begin{minipage}[t][][t]{8.3cm}
			\begin{itemize}[leftmargin=*,nosep] 
				#2
			\end{itemize}
			\vspace{1.5ex}
		\end{minipage}\\ \hline}
	
	%-------------------------------------------------------------------------------
	%                Definition of the objetive environment
	%-------------------------------------------------------------------------------
	\newenvironment{objetivo}{\tabularheadobj}
	{\end{longtable*}}
